#include <stdio.h>
#include "platform.h"
#include "xbasic_types.h"
#include "XIOModule.h"

XIOModule mcsIOMdule;

void wr_func(int adr,int wdata){
	  XIOModule_DiscreteWrite(&mcsIOMdule, 1, (0x700 | adr));
	  XIOModule_DiscreteWrite(&mcsIOMdule, 1, adr);
	  XIOModule_DiscreteWrite(&mcsIOMdule, 1, (0x600 | adr));
	  XIOModule_DiscreteWrite(&mcsIOMdule, 1, (0x700 | wdata));
	  XIOModule_DiscreteWrite(&mcsIOMdule, 1, (0x100 | wdata));
	  XIOModule_DiscreteWrite(&mcsIOMdule, 1, (0x700 | wdata));
}

int main(){
  u32 uDevId = XPAR_IOMODULE_0_DEVICE_ID;
  int tone;
  init_platform();
  XIOModule_Initialize(&mcsIOMdule, uDevId);
  // tone
  tone=0x1ab;
  wr_func(0x0,(tone&0xff)); // wr r0
  wr_func(0x1,(tone>>8)); //wr r1
  //reg 14 envelope time hi
  wr_func(0xe,0x08); // wr r14
  //reg 15 envelope type
  wr_func(0xf,0x0e); // wr r15
  //r10 ch_a vol envelope enable
  wr_func(0xa,0x10); // wr r10
  while(1);
  return 0;
}
