
#include <stdio.h>
#include "platform.h"
#include "xbasic_types.h"
#include "XIOModule.h"

XIOModule mcsIOMdule;

void wr_func(int adr,int wdata){
	  XIOModule_DiscreteWrite(&mcsIOMdule, 1, (0x700 | adr));
	  XIOModule_DiscreteWrite(&mcsIOMdule, 1, adr);
	  XIOModule_DiscreteWrite(&mcsIOMdule, 1, (0x600 | adr));
	  XIOModule_DiscreteWrite(&mcsIOMdule, 1, (0x700 | wdata));
	  XIOModule_DiscreteWrite(&mcsIOMdule, 1, (0x100 | wdata));
	  XIOModule_DiscreteWrite(&mcsIOMdule, 1, (0x700 | wdata));
}
int main(){
  u32 uDevId = XPAR_IOMODULE_0_DEVICE_ID;
  int tone;
  init_platform();
  XIOModule_Initialize(&mcsIOMdule, uDevId);
  //r6 noise frq
  wr_func(0x6,0x05); // wr r6
  //r07 noise enabel
  wr_func(0x7,0x37); // wr r7
  //r10 ch_a vol
  wr_func(0xa,0x0d); // wr ra
  while(1);
  return 0;
}
